<script setup lang="ts">
import {ref, watchEffect} from 'vue';

const value1 = ref<any>('');

watchEffect(() => {
  value1.value = new Date()
})

</script>

<template>
  <div class="my-picker">
    <el-date-picker :teleported="false" v-model="value1" type="date" placeholder="Pick a day"/>
  </div>
</template>

<style>

.my-picker .el-input {
  width: 0;
  height: 0;
  display: none;
}

.my-picker .el-popper {

  display: block !important;
  transition: none !important;
  position: initial !important;
}

.el-picker__popper.el-popper .el-popper__arrow:before {
  display: none;
}
</style>